class V1::FeedController < ApplicationController
  include ::Paginator
  before_action :authenticate_user!

  # GET v1/feed
  # GET v1/feed.json
  # Render all activities that logged user can see
  def index
    activities = paginate activities_followed
    render json: activities
  end

  private

  def activities_followed
    activities = []
    current_user.watching.each do |watching|
      activities.push(*watching.activities_filtered.to_a)
    end
    activities
  end

end
